Class | Sequel::JDBC::Postgres::Dataset::PGArrayConverter
In: | lib/sequel/adapters/jdbc/postgresql.rb
Parent: | Object

Handle conversions of PostgreSQL array instances

### Methods

call new

### Public Class methods

new(meth)

Set the method that will return the correct conversion proc for elements of this array.

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 55
    55:           def initialize(meth)
    56:             @conversion_proc_method = meth
    57:             @conversion_proc = nil
    58:           end

### Public Instance methods

call(v)

Convert Java::OrgPostgresqlJdbc4::Jdbc4Array to ruby arrays

[Source]

        # File lib/sequel/adapters/jdbc/postgresql.rb, line 61
    61:           def call(v)
    62:             _pg_array(v.array)
    63:           end

[Validate]